Bug 1017779 - the cmake emacs mode is not activated
the cmake emacs mode is not activated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 09:39 EDT by ycollet
Modified: 2013-10-30 22:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: cmake-2.8.12-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 22:58:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ycollet 2013-10-10 09:39:00 EDT
When I open a CMakeFiles.txt in emacs, it is not colorize by default.
There is no available menu in emacs to activate the cmake mode

The emacs mode is installed in two places:

/usr/share/emacs/site-lisp/cmake/cmake-mode.el
/usr/share/cmake/editors/emacs/cmake-mode.el


I needed to add some piece of code into my .emacs file:

; Add cmake listfile names to the mode list.
(setq auto-mode-alist
          (append
           '(("CMakeLists\\.txt\\'" . cmake-mode))
           '(("\\.cmake\\'" . cmake-mode))
           auto-mode-alist))

(autoload 'cmake-mode "/usr/share/cmake/editors/emacs/cmake-mode.el" t)
Comment 1 Fedora Update System 2013-10-10 18:58:54 EDT
cmake-2.8.12-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cmake-2.8.12-2.fc19
Comment 2 Fedora Update System 2013-10-10 22:29:34 EDT
Package cmake-2.8.12-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-2.8.12-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18792/cmake-2.8.12-2.fc19
then log in and leave karma (feedback).
Comment 3 ycollet 2013-10-11 02:02:24 EDT
Thanks a lot, I will wait for the update.

YC
Comment 4 Fedora Update System 2013-10-30 22:58:35 EDT
cmake-2.8.12-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.